<!DOCTYPE html>
<html>
<head>
  <title>RETROSPECT</title>
  <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">

  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>

  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
  <link rel="stylesheet" type="text/css" href="retrospect_style.css">
  <style>
@import url('https://fonts.googleapis.com/css?family=Open+Sans|Roboto');
</style>
</head>
<body>
<!-- Navbar -->
<nav class="navbar navbar-fixed-top">
  <div class="container">
    <div class="navbar-header ">
      <button type="button" class="navbar-toggle " data-toggle="collapse" data-target="#myNavbar">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>                        
      </button>
      <a href="./home.html">
        <img class="logo" src="./logo.jpg" style="display: block">
      </a>
    </div>
    <div class="collapse navbar-collapse" id="myNavbar">
      <ul class="nav navbar-nav navbar-right">
        <li><a href="http://codepreneurs.co/"><i class="fa fa-home fa-2x" aria-hidden="true"></i>Академија за програмирање</a></li>
        <li><a href="https://brainster.co/"><i class="fa fa-users fa-2x" aria-hidden="true"></i>Курсеви</a></li>
      </ul>
    </div>
  </div>
</nav>
<div class="container">
    <div class="row">
        <!-- <div class="col-md-6 col-md-offset-3"> -->
            <div class="wraper">
              
                <h3 class="text-secondary text-center"><img id="imgSmiley"src="./icons/7.png"></h3>
              <div class="signup-msg-wrapper ">
                <h3 class="text-center"><span class="faded" id='average'>4.3</span></h3>
                <h4 class="text-center" id='mood-text'>Just another week</h4>
                <h3 class="text-center faded motivate" >Keep your smile on and make the next one even better </h3>
              </div>
                <div class="signip-slidecontainer" >
                  <div class="emoticons-flex">
                    <div class="emoticon-item">
                      <h4 class="feeling faded">Enjoyment<i class="fa fa-heart-o fa-2x" aria-hidden="true"></i></h4>
                      <h4><i class="fa fa-heart-o fa-2x" aria-hidden="true"></i></h4>
                      <img id='enjoyment_img' src="" class="el_img">
                      <h4 class="faded" id='enjoyment_score'>5.0</h4>
                    </div>
                    <div class="emoticon-item">
                      <h4 class="feeling faded">Team<i class="fa fa-users fa-2x" aria-hidden="true"></i></h4>
                      <h4><i class="fa fa-users fa-2x" aria-hidden="true"></i></h4>
                      <img id='team_img' src="" class="el_img">
                      <h4 class="faded" id='team_score'>5.0</h4>
                    </div>
                    <div class="emoticon-item">
                      <h4 class="feeling faded">Productivity</h4>
                      <h4><i class="fa fa-coffee fa-2x" aria-hidden="true"></i></h4>
                      <img src="" id='productivity_img'class="el_img">
                      <h4 class="faded" id='productivity_img'>5.0</h4>
                    </div>
                    <div class="emoticon-item">
                      <h4 class="feeling faded">Learning</h4>
                      <h4><i class="fa fa-graduation-cap fa-2x" aria-hidden="true"></i></h4>
                      <img src="" id='learning_img' class="el_img">
                      <h4 class="faded" id='learning_score'>5.0</h4>
                    </div>
                    <div class="emoticon-item">
                      <h4 class="feeling faded">Stress</h4>
                      <h4><i class="fa fa-clock-o fa-2x" aria-hidden="true"></i></h4>
                      <img src="" id='stress_img' class="el_img">
                      <h4 class="faded stress" id='stress_score'>5.0</h4>
                    </div>
                  </div>
                  <div class="btn-wrapper-sign text-center">
                    <p>Ако сакате да го измерите задоволството на вашите вработени регистрирајте се, а ние ќе ви испратиме кои се опциите </p>
                    <button type="button" class="btn btn-danger btn-md" id="myBtn3">РЕГИСТРИРАЈ СЕ</button>   
                  </div>


                </div>
            <!-- </div> -->
        </div>
    </div>
</div>
  <!-- Trigger the modal with a button -->
  <!-- Modal -->
  <div class="modal fade" id="myModal3" role="dialog">
    <div class="modal-dialog">
    
      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header ">
          <button type="button" class="close" data-dismiss="modal">×</button>
          <!-- <h4 class="modal-title">Static Backdrop</h4> -->
        </div>
        <div class="modal-body ">
          <div class="container">
            <div class="row">
              <div class="col-md-6 col-sm-6">
                <h2 class="text-center faded darkgray"><i class="fa fa-plus-circle gray" aria-hidden="true"></i>Sign Up</h2>
              </div>
            </div>
          </div>
          <form name="registration_form" id="registration_form" class="form-horizontal">
             <div class="form-group">
                   <div class="col-md-6 col-sm-6 ">
                     <label for="firstname" class="sr-only"></label>
                     <input id="firstname" class="form-control input-group-lg reg_name" type="text" name="firstname" title="Enter first name" placeholder="First name" required="required"><i class="fa fa-asterisk" aria-hidden="true"></i>
                   </div>       
                   <div class="col-md-6 col-sm-6">
                     <label for="lastname" class="sr-only"></label>
                     <input id="lastname" class="form-control input-group-lg reg_name" type="text" name="lastname" title="Enter last name" placeholder="Last name">
                   </div>
            </div><!--/form-group-->

    <div class="form-group">
        <div class="col-md-12 col-sm-12">
          <label for="email" class="sr-only"></label>
          <input id="email" class="form-control input-group-lg" type="email" autocapitalize="off" name="email" title="Email" placeholder="Email" required="required"><i class="fa fa-asterisk" aria-hidden="true"></i>
        </div>
    </div><!--/form-group-->

    <div class="form-group">
        <div class="col-md-12 col-sm-12">
        <label for="password" class="sr-only"></label>
        <input id="password" class="form-control input-group-lg" type="password" name="password" title="Enter password" placeholder="Password"><i class="fa fa-asterisk" aria-hidden="true"></i>
        </div>
    </div><!--/form-group-->
    <div class="form-group">
        <div class="col-md-12 col-sm-12">
        <label for="password" class="sr-only"></label>
        <input id="password" class="form-control input-group-lg" type="password" name="password" title="Repeat password" placeholder="Repeat password"><i class="fa fa-asterisk" aria-hidden="true"></i>
        </div>
    </div><!--/form-group-->
    <div class="form-group">
        <div class="col-md-6 col-sm-6">
          <label for="noemployees" class=" form-control input-group-lg sr-only">Company size</label>
          <select class="form-control input-group-lg reg_name" id="noemployees">
                        
            <option>Number of Employers: 1-10</option>
            <option>Number of Employers: 11-60</option>
            <option>Number of Employers: 60+</option>
          </select>
          </div>       
       <div class="col-md-6 col-sm-6">
        <a href="#">
          <div class="btn btn-signup"><span class="glyphicon glyphicon-ok" aria-hidden="true"></span>SIGN-UP</div>
        </a>
      </div>  
    </div><!--/form-group--> 
 </form>

        </div>
      </div>
      
    </div>
  </div> <!--/modal-->
 
<script>
$(document).ready(function(){
  var average_val;
  var colorsArray=["#be1e2d","#e1ad41", "#9db84d","#00a14b","#e5618d"];
  var imagesArray2=["./icons/6.png","./icons/7.png", "./icons/8.png","./icons/9.png","./icons/10.png"];
  var textArray=["Неделава беше ужасна..", "Можеше и подобро.", "Уште една обична работна недела","Забавно беше", "WOW, одлична недела."];

    $("#myBtn3").click(function(){
        $("#myModal3").modal({backdrop: "static"});
    });
getData();
    function setMood(val){
      var mood_level=val;
      $('#imgSmiley').attr('src', imagesArray2[mood_level]);

      $('#average').html(average_val);
      $('#average').css('color',colorsArray[mood_level]);
      $('#mood-text').html(textArray[mood_level]);
      $('#mood-text').css('color',colorsArray[mood_level]);
      
      $('#team_img').attr('src', imagesArray2[mood_level]);
      $('#team_score').css('color',colorsArray[mood_level]);
    }

    function getLevel(val){
      if (val>=0 && val<10){
      return 0;   
      }
      else if(val>=10 && val<40){
        return 1;
      }else if(val>=40 && val<=60){;
        return 2;
      }else if(val>60 && val<=90){
        return 3;
      }else if (val>90 && val<=100){
        return 4;
      }
    }
     function setElementMood(el, el_val){
      var el_mood_level=getLevel(el_val);
      $(this).$('#enjoyment_img').attr('src', imagesArray2[enjoyment_mood_level]);
      $('#enjoyment_score').css('color',colorsArray[enjoyment_mood_level]);
     }

    function getData(){
      var enjoyment_val = localStorage.getItem('enjoyment_val');
      var team_val = localStorage.getItem('team_val');
      var productivity_val = localStorage.getItem('productivity_val');
      var learning_val = localStorage.getItem('learning_val');
      var stress_val = localStorage.getItem('stress_val');
      var average_val= ((parseInt(enjoyment_val)+parseInt(team_val)+parseInt(productivity_val)+parseInt(learning_val)+parseInt(stress_val))/5).toFixed(2);
      var average_mood_level = getLevel(average_val);
     
     var enjoyment_mood_level = getLevel(enjoyment_val);
      var team_mood_level = getLevel(team_val);
      var productivity_mood_level = getLevel(productivity_val);
      var learning_mood_level = getLevel(learning_val);
      var stress_mood_level = getLevel(stress_val);

      $('#enjoyment_score').html(enjoyment_val);
      $('#enjoyment_img').attr('src', imagesArray2[enjoyment_mood_level]);
      $('#enjoyment_score').css('color',colorsArray[enjoyment_mood_level]);

      $('#team_score').html(team_val);
      $('#team_img').attr('src', imagesArray2[team_mood_level]);
      $('#team_score').css('color',colorsArray[team_mood_level]);

      $('#productivity_score').html(productivity_val);
      $('#productivity_img').attr('src', imagesArray2[productivity_mood_level]);
      $('#productivity_score').css('color',colorsArray[productivity_mood_level]);

      $('#learning_score').html(learning_val);
      $('#learning_img').attr('src', imagesArray2[learning_mood_level]);
      $('#learning_score').css('color',colorsArray[learning_mood_level]);

      $('#stress_score').html(stress_val);
      $('#stress_img').attr('src', imagesArray2[stress_mood_level]);
      $('#stress_score').css('color',colorsArray[stress_mood_level]);

      $('#average').html(average_val);
      setMood(average_mood_level);  

    
};
});
</script>

</body>
</html>
